﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_PackingCompletionInquiryScript")
<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr style="height:40px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "TMAP Order No";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_OBR_NO";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Item No";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_ITEM_NO";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Part No";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_Part_No";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Order Date";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td >
                    <table>
                        <tr>
                            <td>@Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_START_ORDER_DT";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;


                    }).GetHtml()</td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                }).GetHtml()
                            </td>
                            <td>@Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_END_ORDER_DT";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                    }).GetHtml()</td>
                        </tr>
                    </table>
                </td>
                
            </tr>
           <tr style="height:40px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Case No";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_CASE_NO";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "TMMIN Order No";
                    Label.Width = 120;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_TMMIN_ORD_NO";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Transp Code";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_STATUS_OBR";
                        settings.Width = 100;
                        settings.Properties.DropDownWidth = 100;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                        settings.Properties.ValueType = typeof(string);
                    }
                   ).BindList(ViewData["ObrStatusList"]).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Packing Date";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td >
                    <table>
                        <tr>
                            <td>@Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_START_PACKING_DT";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;


                    }).GetHtml()</td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                }).GetHtml()
                            </td>
                            <td>@Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_END_PACKING_DT";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                    }).GetHtml()</td>
                        </tr>
                    </table>
                </td>
                
            </tr>
            <tr style="height:40px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Buyer PD";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_BUYER_PD_OBR";
                        settings.Width = 100;
                        settings.Properties.DropDownWidth = 100;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                        settings.Properties.ValueType = typeof(string);
                    }
                   ).BindList(ViewData["ObrStatusList"]).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Privilege";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_PRIVILEGE_OBR";
                        settings.Width = 100;
                        settings.Properties.DropDownWidth = 100;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                        settings.Properties.ValueType = typeof(string);
                    }
                   ).BindList(ViewData["ObrStatusList"]).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Container No";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_CONTAINER_NO";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Vanning Date";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td >
                    <table>
                        <tr>
                            <td>@Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_START_VANN_DT";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;


                    }).GetHtml()</td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                }).GetHtml()
                            </td>
                            <td>@Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_END_VANN_DT";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.ReadOnly = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                    }).GetHtml()</td>
                        </tr>
                    </table>
                </td>
                
            </tr>
            <tr>
                <td colspan="8">&nbsp;</td>
                <td style="width: 45%" align="right">
                    <div id="search_cnt">
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdSearch";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Search";
                   edtSetting.ClientSideEvents.Click = "OnSearch";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   // edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OBR", "FTR-SPEX-164-01", "SEARCH");
               }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdClear";
                   edtSetting.Width = 90;
                   edtSetting.Text = "Clear";
                   edtSetting.ClientSideEvents.Click = "OnClear";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OBR", "FTR-SPEX-164-01", "CLEAR");
               }).GetHtml()
                        </div>
                </td>
            </tr>
            <tr>
                <td style="width: 40%;" align="left" colspan="3">
                    <div id="save_cnt">
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdSave";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Save";
                   edtSetting.ClientSideEvents.Click = "OnSave";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OBR", "FTR-SPEX-164-02", "SAVE");
               }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdCancel";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Cancel";
                   edtSetting.ClientSideEvents.Click = "OnCancel";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   // edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OBR", "FTR-SPEX-164-02", "CANCEL");
               }).GetHtml()
                        </div>
                </td>
                <td align="right" colspan="4">
                    <div id="action_cnt">
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdEdit";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Edit";
                   edtSetting.ClientSideEvents.Click = "OnEdit";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   // edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OBR", "FTR-SPEX-164-02", "EDIT");
               }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdCancelOBR";
                   edtSetting.Width = 130;
                   edtSetting.Text = "Cancel OBR";
                   edtSetting.ClientSideEvents.Click = "OnCancelOBR";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   // edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OBR", "FTR-SPEX-164-02", "ADD");
               }).GetHtml()
                    
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdContinueOBR";
                   edtSetting.Width = 130;
                   edtSetting.Text = "Continue OBR";
                   edtSetting.ClientSideEvents.Click = "OnContinueOBR";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   // edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OBR", "FTR-SPEX-164-02", "DELETE");
               }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdDownload";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Download";
                   edtSetting.ClientSideEvents.Click = "OnDownload";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   // edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OBR", "FTR-SPEX-164-02", "DOWNLOAD");
               }).GetHtml()
                        </div>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        </table>
    </fieldset>

</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("PackingCompletionInquiryGrid")
</div>
